DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# ImageStrip

Restore an image to its initial ("raw") state

## SYNOPSIS

dip_Error dip_ImageStrip( image )

## FUNCTION

Free any pixel data associated with the image and return all fields to their initial ("raw") state. Essentially the image is returned to the state it was in right after it was allocated with `ImageNew`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | The image to be stripped

## SEE ALSO

The image structure

`ImageNew`, `ImageForge`, `ImageFree`, `ImageCopyProperties`

DIPlib on-line documentation | Function reference | Global function index